Loading...
Searching...
No Matches
restinio::easy_parser::impl::symbol_from_range_predicate_t Struct Reference

A predicate for cases where a symbol should belong to specified range. More...

`#include <easy_parser.hpp>`

Inheritance diagram for restinio::easy_parser::impl::symbol_from_range_predicate_t:

## Public Member Functions

RESTINIO_NODISCARD bool | operator() (const char actual) const noexcept

## Public Attributes

char | m_left
char | m_right

## Detailed Description

A predicate for cases where a symbol should belong to specified range.

Range is inclusive. It means that `(ch >= left && ch <= right)`.

Since
  v.0.6.9

Definition at line 2266 of file easy_parser.hpp.

## Member Function Documentation

## operator()()

RESTINIO_NODISCARD bool restinio::easy_parser::impl::symbol_from_range_predicate_t::operator() | ( | const char | actual | ) | const

inline noexcept

Definition at line 2273 of file easy_parser.hpp.

## Member Data Documentation

## m_left

char restinio::easy_parser::impl::symbol_from_range_predicate_t::m_left

Definition at line 2268 of file easy_parser.hpp.

## m_right

char restinio::easy_parser::impl::symbol_from_range_predicate_t::m_right

Definition at line 2269 of file easy_parser.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/easy_parser.hpp